logo
InboxSave draft reply
Inbox

Save draft reply

Saves a draft reply for this conversation (72-hour TTL, per-user). Send empty or whitespace-only content to delete the existing draft.

curl -X POST "https://api.sendkit.ai/v1/inbox/example_string/drafts" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "content": "Thanks for your reply! I wanted to follow up on...",
  "cc": [
    "manager@example.com"
  ]
}'
{
  "success": true,
  "data": {
    "content": "Thanks for your reply! I wanted to follow up on...",
    "cc": [
      "manager@example.com"
    ],
    "bcc": [],
    "updatedAt": "2024-06-01T16:00:00.000Z"
  }
}
POST
/v1/inbox/{id}/drafts
POST
API Key (header: X-Api-Key)
X-Api-Keystring
Required

Platform API key (sk_user_...) or Workspace API key (sk_...)

Platform API key (sk_user_...) or Workspace API key (sk_...)
Bearer Token
Bearer Tokenstring
Required

API key as Bearer token

API key as Bearer token
Content-Typestring
Required

The media type of the request body

Options: application/json
contentstring

Draft content. Empty/whitespace to delete draft.

ccarray

CC recipients

bccarray

BCC recipients

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-Api-Keystring
Required

API Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)

header
Authorizationstring
Required

Bearer token. API key as Bearer token

Path Parameters

idstring
Required

Resource ID

Body

application/json
contentstring

Draft content. Empty/whitespace to delete draft.

ccarray

CC recipients

bccarray

BCC recipients

Responses

successboolean
dataobject

Draft object, or null if deleted